org.apache.ignite.internal.processors.platform.client

## Class ClientProtocolContext

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientProtocolContext

    public class ClientProtocolContext
    extends Object

Protocol context for thin client protocol. Holds protocol version and supported features.

### Constructor Summary

Constructors
Constructor and Description
`ClientProtocolContext(ClientListenerProtocolVersion ver, EnumSet<ClientBitmaskFeature> features)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte[]` `featureBytes()`
`EnumSet<ClientBitmaskFeature>` `features()`
`boolean` `isFeatureSupported(ClientBitmaskFeature feature)`
`static boolean` `isFeatureSupported(ClientListenerProtocolVersion ver, ClientProtocolVersionFeature feature)` Check if the feature was supported in the protocol version.
`boolean` `isFeatureSupported(ClientProtocolVersionFeature feature)`
`ClientListenerProtocolVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientProtocolContext

    public ClientProtocolContext(ClientListenerProtocolVersion ver,
                                 EnumSet<ClientBitmaskFeature> features)

Parameters:
  `ver` - Protocol version.
  `features` - Supported features.

### Method Detail

#### isFeatureSupported

    public boolean isFeatureSupported(ClientBitmaskFeature feature)

Returns:
  `true` if bitmask protocol feature supported.

#### isFeatureSupported

    public boolean isFeatureSupported(ClientProtocolVersionFeature feature)

Returns:
  `true` if protocol version feature supported.

#### features

    public EnumSet<ClientBitmaskFeature> features()

Returns:
  Supported features.

#### featureBytes

    public byte[] featureBytes()

Returns:
  Supported features as byte array.

#### version

    public ClientListenerProtocolVersion version()

Returns:
  Protocol version.

#### isFeatureSupported

    public static boolean isFeatureSupported(ClientListenerProtocolVersion ver,
                                             ClientProtocolVersionFeature feature)

Check if the feature was supported in the protocol version.

Parameters:
  `ver` - Protocol version.
  `feature` - Feature which support should be checked.
Returns:
  `true` if the feature was supported in the protocol version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021